Skip to main content
PATCH
JavaScript

Authorizations

X-API-Key
string
header
required

Chave de API do tenant (publishable key ou secret key)

Headers

X-API-Key
string
required

Chave de API do tenant (publishable key ou secret key)

Path Parameters

triggerId
string
required

Trigger identifier

Example:

"trg_abc123def456"

Body

application/json
name
string
Required string length: 1 - 255
config
object
isActive
boolean

Response

Trigger updated successfully

id
string
required

Unique trigger identifier

Example:

"trg_abc123def456"

tenantId
string
required

Tenant identifier

Example:

"tenant_123"

workflowVersionId
string
required

Workflow version identifier

Example:

"wfv_abc123def456"

name
string
required

Trigger name

Example:

"User Registration Webhook"

type
enum<string>
required

Trigger type

Available options:
schedule,
webhook
Example:

"webhook"

config
object
required

Trigger configuration

isActive
boolean
required

Whether the trigger is active

Example:

true

createdAt
string
required

Creation timestamp

Example:

"2024-01-15T10:30:00.000Z"

updatedAt
string
required

Last update timestamp

Example:

"2024-01-15T10:30:00.000Z"

subTenantId
string

Sub-tenant identifier

Example:

"sub_tenant_456"